import httputils from '@/api/httputils'

// 设备设施-根据图片类型统计图片数量
export function querySystemCount({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/querySystemCount`, getParams)
}
// 查询图片  (项目概况图片/设备设施原理图/位置分布图/分水器支路分布明细/示意图/库房管理图)
export function querySystemImage({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/query`, getParams)
}
// TODO: 土建立面图 路径修改
// 查询土建系统 建筑图
export function querySystemTuJianImage({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_proimgup/query`, data, postParams)
}
export function querySystemCard({ getParams }) {
    return httputils.getJson(`/data/home/querySystemCard`, getParams)
}

// 设备设施-主要设备清单-详情
export function queryEquipmentList({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/query`, data, postParams)
}
// 设备设施-主要设备清单类型
export function queryAssetClass({ getParams }) {
    // return httputils.getJson(`/data/base/queryClassStructureBySmsxt`, getParams)
    return httputils.getJson(`/data/sms_asset/queryAssetClass`, getParams)
}

// 设备设施-楼层电井口（间）控制商铺范围清单
export function queryShops({ getParams }) {
    return httputils.getJson(`/data/sms_shops/query`, getParams)
}
